Bug 494781 - GEdit can't actually display the output of a piped command
GEdit can't actually display the output of a piped command
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 00:12 EDT by "FeRD" (Frank Dana)
Modified: 2010-05-18 15:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 15:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 121891 None None None Never

  None (edit)
Description "FeRD" (Frank Dana) 2009-04-08 00:12:32 EDT
Description of problem:

The GNOME (yelp) documentation for GEdit states, in the section "Features / Piping the Output of a Command to a File":

----------
You can use gedit to pipe the output of a command to a text file. For example, to pipe the output of an ls command to a text file, type ls | gedit, then press Return.

The output of the ls command is displayed in a new text file in the gedit window.
----------

That functionality does not currently work in gedit 2.24.3 on either of my installed Fedora 10 systems (i386, x86_64). Near as I can tell, it hasn't worked anytime recently.


Version-Release number of selected component (if applicable):

2.24.3-3.fc10.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. run "ls | gedit"
2.
3.
  

Actual results:
Empty "Unsaved Document 1"


Expected results:
"Unsaved Document 1" (or another title?) containing the output of the 'ls' command


Additional info:

Either the stdin-to-new-document functionality should be fixed, or the documentation should be adjusted to omit description of this nonfeature.
Comment 1 "FeRD" (Frank Dana) 2009-04-08 00:21:49 EDT
This has apparently been living in GNOME's bugzilla since 2003 (GNOME 2.2.x), and on 2009-01-01 it was morphed into an enhancement request by Paolo Borelli (pborelli@katamail.com), a GEdit developer. That seems to imply it's not a simple fix; I don't know why they don't just remove the feature from the documentation.

External bug reference added.
Comment 2 Bug Zapper 2009-11-18 07:49:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 "FeRD" (Frank Dana) 2009-11-20 08:06:43 EST
(non)Feature is still documented; still nonexistent.
Comment 4 Bug Zapper 2010-03-15 08:30:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 "FeRD" (Frank Dana) 2010-05-17 05:08:33 EDT
Over in the Gnome bug tracking this issue, Jesse van den Kieboom reports that the feature to create a new buffer from stdin (read from pipe) has been implemented. The code is in the gedit development tree, and will appear in the next major release.

Jesse's update to Gnome bug #121891:
https://bugzilla.gnome.org/show_bug.cgi?id=121891#c32
Comment 6 Ray Strode [halfline] 2010-05-18 15:44:58 EDT
Excellent.  Thank you for tracking this.  That work will roll into Fedora at some point in the near future, so I'm going to close this report out.

Note You need to log in before you can comment on or make changes to this bug.